[Numpy-discussion] Ubuntu PPA for NumPy / SciPy / ...

Andreas Hilboll lists@hilboll...
Thu Jun 7 06:33:27 CDT 2012


>> Hi,
>>
>> I just noticed that there's a PPA for NumPy/SciPy on Launchpad:
>>
>>   https://launchpad.net/~scipy/+archive/ppa<https://launchpad.net/%7Escipy/+archive/ppa>
>>
>> However, it's painfully outdated. Does anyone know of its status? Is it
>> 'official'? Are there any plans in revitalizing it, possibly with adding
>> other projects from the "scipy universe"? Is there help needed?
>>
>> Many questions, but possibly quite easy to answer ...
>>
>> Cheers,
>> Andreas.
> Hi,
>
> do you try to install from this PPA? I am using ubuntu 11.04, it's not
> difficult possibly to install by pip. but this is the only thing I know.
>
> chao

Hi, I know it's easy to install by pip. But I know too many people who
don't want to care about installing software 'by hand'. For those, it
would be good to have a PPA with the current stable releases of numpy,
scipy, matplotlib, ipython, pandas, statsmodels, you name them. Many
desktops in research environments might be running Ubuntu LTS, and in two
years, noone will want to be stuck with numpy 1.6 without the chance to
easily (and for a whole network) be up-to-date.

To summarize: I think it would be a valuable addition to the numpy
community if there were such an up-to-date PPA.
Andreas.



More information about the NumPy-Discussion mailing list